using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("作业明细表(前中后)")]
    public class T_FO_FIRE_JOB_WB_DETAIL : MesEntityBase
    {
        [Description("动火作业")]
        [DataFieldForeignKey("Nav_Job", "Nav_Details")]
        public Guid FIRE_JOB_WB_ID { get; set; }

        [Description("导航属性：动火作业")]
        public virtual T_FO_FIRE_JOB_WB Nav_Job { get; set; }

        [Description("作业阶段")]
        [EnumName("FOJobStepEnum")]
        [FormFieldEdit]
        public FOJobStepEnum? JOB_STEP { get; set; }

        [Description("作业流程及安全措施")]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string CONTENT { get; set; }

        [Description("是否确认")]
        [EnumName("FOYesOrNoEnum")]
        public FOYesOrNoEnum? IS_CONFIRM { get; set; }

        [Description("顺序")]
        public int? NUM { get; set; }

        [Description("附件")]
        [FormFieldEdit]
        public virtual ICollection<T_FO_FIRE_JOB_WB_DETAIL_FILE> Nav_DetailFiles { get; set; }

        [Description("是否确认")]
        public bool IS_CONFIRM_NEW { get; set; } = false;
    }
}
